Package org.apache.qpid.proton.reactor.impl

# Class AcceptorImpl

java.lang.Object
org.apache.qpid.proton.reactor.impl.AcceptorImpl

All Implemented Interfaces:
  `Extendable`, `Acceptor`, `ReactorChild`

public class AcceptorImpl extends Object implements Acceptor

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`CONNECTION_ACCEPTOR_KEY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AcceptorImpl(Reactor reactor, String host, int port, Handler handler)`

## Method Summary

Modifier and Type
Method
Description
`Record`
`attachments()`
`void`
`close()`
Closes the acceptor, stopping it accepting any further in-bound connections.
`void`
`free()`
Frees any resources associated with this child.
`int`
`getPortNumber()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONNECTION_ACCEPTOR_KEY

protected static final String CONNECTION_ACCEPTOR_KEY

See Also:
  - Constant Field Values

## Constructor Details

### AcceptorImpl

protected AcceptorImpl(Reactor reactor, String host, int port, Handler handler) throws IOException

Throws:
  `IOException`

## Method Details

### close

public void close()
Description copied from interface: `Acceptor`
Closes the acceptor, stopping it accepting any further in-bound connections. Already accepted connections continue to be processed by the associated reactor.

Specified by:
  `close` in interface `Acceptor`

### getPortNumber

public int getPortNumber() throws IOException

Throws:
  `IOException`

### free

public void free()
Description copied from interface: `ReactorChild`
Frees any resources associated with this child.

Specified by:
  `free` in interface `ReactorChild`

### attachments

public Record attachments()

Specified by:
  `attachments` in interface `Extendable`